.benefits {
	padding: 80px 0;
	width: 100%;
    max-width: 1200px;
    margin: 0 auto;
}

.benefits h2 {
    font-size: 40px;
    font-weight: 800;
    margin-bottom: 32px;
    color: #1728BF;
}

.benefits__inner {
	display: flex;
	flex-direction: row;
	gap: 24px;
	align-items: stretch;
}

.benefits__left {
	width: 35%;
	display: flex;
}

.benefits__left img {
	display: block;
	width: 100%;
	height: 100%;
	object-fit: cover;
	border-radius: 24px;
}

.benefits__right {
	display: block;
	width: 65%;
}

.benefits__grid {
	display: grid;
	grid-template-columns: 1fr 1fr;
	gap: 16px;
}

.benefit {
	background: #f3f5ff;
	border-radius: 24px;
	padding: 16px 20px;
	min-height: 140px;
}

.benefit__icon {
	width: 36px;
	height: 36px;
	object-fit: contain;
	margin-bottom: 8px;
}

.benefit__title {
	font-size: 20px;
	line-height: 1.2;
	font-weight: 600;
	color: #1b2454;
	margin-bottom: 6px;
}

.benefit__text {
	font-size: 16px;
	color: #2a2f3b;
	opacity: .9;
}

@media (max-width: 1200px) {
	.benefits {
		padding: 80px 20px;
	}
}

@media (max-width: 992px) {

	.benefits {
		padding: 60px 20px;
	}

	.benefits__inner {
		flex-direction: row;
		gap: 16px;
	}

	.benefits__left {
		width: 44%;
	}

	.benefits__right {
		width: 56%;
	}

	.benefits__left img { height: auto; }

	.benefits__grid {
		display: flex;
		flex-direction: row;
		flex-wrap: wrap;
		justify-content: space-between;
	}
	
	.benefits__grid {
		gap: 20px;
	}

	.benefit {
		width: 47%;
	}

	.benefit__title {
		font-size: 16px;
	}

	.benefit__text {
		font-size: 12px;
	}

	.benefit__icon {
		width: 24px;
		height: 24px;
	}

	.benefits h2 {
		margin-bottom: 24px;
		font-size: 32px;
	}
}

@media (max-width: 767px) {
	.benefits {
		padding: 60px 20px;
	}

	.benefits__inner {
		flex-direction: column;
		gap: 16px;
	}

	.benefits__left,
	.benefits__right { width: 100%; }

	.benefits__left img { height: auto; }

	.benefits__grid {
		display: flex;
		flex-direction: row;
		flex-wrap: wrap;
		justify-content: space-between;
	}
	
	.benefit {
		width: 47%;
	}

	.benefit__title {
		font-size: 16px;
	}

	.benefit__text {
		font-size: 12px;
	}

	.benefit__icon {
		width: 24px;
		height: 24px;
	}

	.benefits h2 {
		margin-bottom: 24px;
		font-size: 24px;
	}
}

@media (max-width: 480px) {
    .benefit {
        min-width: 280px;
        width: 280px;
        max-width: 280px;
    }

	.benefits__right {
		overflow-x: auto;
	}

	.benefits__grid {
        display: flex;
        flex-wrap: nowrap;
        justify-content: space-between;
        flex-direction: row;
    }
}
